Nestopia Core API: Nes::Api::User

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Class Nes::Api::User

    Base
       |
       +--Nes::Api::User

class Nes::Api::User
extends Base

User IO interfaces.

Inner Classes, Typedefs, and Enums
`enum` | `Nes::Api::User::Answer` User answer.
`enum` | `Nes::Api::User::Event` User events.
`typedef` | `Nes::Api::User::EventCallback` Logfile callback prototype.
`struct` | `Nes::Api::User::File` File IO interface.
`typedef` | `Nes::Api::User::FileIoCallback` File IO callback prototype.
`typedef` | `Nes::Api::User::LogCallback` Logfile callback prototype.
`enum` | `Nes::Api::User::Question` User questions.
`typedef` | `Nes::Api::User::QuestionCallback` User question callback prototype.

Field Summary
`static Nes::Api::User::EventCaller` | `eventCallback` User event callback manager.
`static Nes::Api::User::FileIoCaller` | `fileIoCallback` File IO callback manager.
`static Nes::Api::User::LogCaller` | `logCallback` Logfile callback manager.
`static Nes::Api::User::QuestionCaller` | `questionCallback` User question callback manager.

Constructor Summary
`User( T& instance )` Interface constructor.

Field Detail

### eventCallback

    public static Nes::Api::User::EventCaller eventCallback;

  User event callback manager. Static object used for adding the user defined callback.

### fileIoCallback

    public static Nes::Api::User::FileIoCaller fileIoCallback;

  File IO callback manager. Static object used for adding the user defined callback.

### logCallback

    public static Nes::Api::User::LogCaller logCallback;

  Logfile callback manager. Static object used for adding the user defined callback.

### questionCallback

    public static Nes::Api::User::QuestionCaller questionCallback;

  User question callback manager. Static object used for adding the user defined callback.

Constructor Detail

### User

    public User( T& instance );

  Interface constructor.

Parameters:
  `instance` - emulator instance

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD